Index: trunk/src/qt3support/widgets/q3action.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3action.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3action.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3action.h
===================================================================
--- trunk/src/qt3support/widgets/q3action.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3action.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3button.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3button.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3button.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3button.h
===================================================================
--- trunk/src/qt3support/widgets/q3button.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3button.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3buttongroup.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3buttongroup.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3buttongroup.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3buttongroup.h
===================================================================
--- trunk/src/qt3support/widgets/q3buttongroup.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3buttongroup.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3combobox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3combobox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3combobox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3combobox.h
===================================================================
--- trunk/src/qt3support/widgets/q3combobox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3combobox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3datetimeedit.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3datetimeedit.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3datetimeedit.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3datetimeedit.h
===================================================================
--- trunk/src/qt3support/widgets/q3datetimeedit.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3datetimeedit.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3dockarea.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3dockarea.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3dockarea.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3dockarea.h
===================================================================
--- trunk/src/qt3support/widgets/q3dockarea.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3dockarea.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3dockwindow.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3dockwindow.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3dockwindow.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3dockwindow.h
===================================================================
--- trunk/src/qt3support/widgets/q3dockwindow.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3dockwindow.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3frame.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3frame.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3frame.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3frame.h
===================================================================
--- trunk/src/qt3support/widgets/q3frame.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3frame.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3grid.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3grid.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3grid.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3grid.h
===================================================================
--- trunk/src/qt3support/widgets/q3grid.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3grid.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3gridview.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3gridview.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3gridview.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
@@ -85,5 +85,5 @@
   columns with different sizes, use a Q3Table instead. If you need a
   simple list of items, use a Q3ListBox. If you need to present
-  hierachical data use a Q3ListView, and if you need random objects
+  hierarichal data use a Q3ListView, and if you need random objects
   at random positions, consider using either a Q3IconView or a
   Q3Canvas.
Index: trunk/src/qt3support/widgets/q3gridview.h
===================================================================
--- trunk/src/qt3support/widgets/q3gridview.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3gridview.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3groupbox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3groupbox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3groupbox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3groupbox.h
===================================================================
--- trunk/src/qt3support/widgets/q3groupbox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3groupbox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3hbox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3hbox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3hbox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3hbox.h
===================================================================
--- trunk/src/qt3support/widgets/q3hbox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3hbox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3header.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3header.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3header.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3header.h
===================================================================
--- trunk/src/qt3support/widgets/q3header.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3header.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3hgroupbox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3hgroupbox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3hgroupbox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3hgroupbox.h
===================================================================
--- trunk/src/qt3support/widgets/q3hgroupbox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3hgroupbox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3mainwindow.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3mainwindow.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3mainwindow.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3mainwindow.h
===================================================================
--- trunk/src/qt3support/widgets/q3mainwindow.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3mainwindow.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3mainwindow_p.h
===================================================================
--- trunk/src/qt3support/widgets/q3mainwindow_p.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3mainwindow_p.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3popupmenu.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3popupmenu.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3popupmenu.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3popupmenu.h
===================================================================
--- trunk/src/qt3support/widgets/q3popupmenu.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3popupmenu.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3progressbar.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3progressbar.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3progressbar.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3progressbar.h
===================================================================
--- trunk/src/qt3support/widgets/q3progressbar.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3progressbar.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3rangecontrol.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3rangecontrol.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3rangecontrol.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3rangecontrol.h
===================================================================
--- trunk/src/qt3support/widgets/q3rangecontrol.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3rangecontrol.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3scrollview.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3scrollview.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3scrollview.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3scrollview.h
===================================================================
--- trunk/src/qt3support/widgets/q3scrollview.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3scrollview.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3spinwidget.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3spinwidget.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3spinwidget.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3titlebar.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3titlebar.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3titlebar.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3titlebar_p.h
===================================================================
--- trunk/src/qt3support/widgets/q3titlebar_p.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3titlebar_p.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3toolbar.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3toolbar.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3toolbar.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3toolbar.h
===================================================================
--- trunk/src/qt3support/widgets/q3toolbar.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3toolbar.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3vbox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3vbox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3vbox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3vbox.h
===================================================================
--- trunk/src/qt3support/widgets/q3vbox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3vbox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3vgroupbox.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3vgroupbox.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3vgroupbox.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3vgroupbox.h
===================================================================
--- trunk/src/qt3support/widgets/q3vgroupbox.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3vgroupbox.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3whatsthis.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3whatsthis.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3whatsthis.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3whatsthis.h
===================================================================
--- trunk/src/qt3support/widgets/q3whatsthis.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3whatsthis.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3widgetstack.cpp
===================================================================
--- trunk/src/qt3support/widgets/q3widgetstack.cpp	(revision 769)
+++ trunk/src/qt3support/widgets/q3widgetstack.cpp	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)
Index: trunk/src/qt3support/widgets/q3widgetstack.h
===================================================================
--- trunk/src/qt3support/widgets/q3widgetstack.h	(revision 769)
+++ trunk/src/qt3support/widgets/q3widgetstack.h	(revision 846)
@@ -1,5 +1,5 @@
 /****************************************************************************
 **
-** Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies).
+** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 ** All rights reserved.
 ** Contact: Nokia Corporation (qt-info@nokia.com)