Index: trunk/src/gui/gui.pro
===================================================================
--- trunk/src/gui/gui.pro	(revision 846)
+++ trunk/src/gui/gui.pro	(revision 853)
@@ -95,5 +95,7 @@
             }
 
-            mmx_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            os2:mmx_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+			else:mmx_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             mmx_compiler.dependency_type = TYPE_C
             mmx_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -114,5 +116,7 @@
             }
 
-            mmx3dnow_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            os2:mmx3dnow_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            else:mmx3dnow_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             mmx3dnow_compiler.dependency_type = TYPE_C
             mmx3dnow_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -122,4 +126,5 @@
             silent:mmx3dnow_compiler.commands = @echo compiling[mmx3dnow] ${QMAKE_FILE_IN} && $$mmx3dnow_compiler.commands
             QMAKE_EXTRA_COMPILERS += mmx3dnow_compiler
+
             sse {
                 sse3dnow_compiler.commands = $$QMAKE_CXX -c -Winline
@@ -132,5 +137,7 @@
                 }
 
-                sse3dnow_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+                os2:sse3dnow_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+                else:sse3dnow_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
                 sse3dnow_compiler.dependency_type = TYPE_C
                 sse3dnow_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -152,5 +159,7 @@
             }
 
-            sse_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            os2:sse_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            else:sse_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             sse_compiler.dependency_type = TYPE_C
             sse_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -171,5 +180,7 @@
             }
 
-            sse2_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            os2:sse2_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            else:sse2_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             sse2_compiler.dependency_type = TYPE_C
             sse2_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -190,5 +201,7 @@
             }
 
-            ssse3_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            os2:ssse3_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            else:ssse3_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             ssse3_compiler.dependency_type = TYPE_C
             ssse3_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}
@@ -202,5 +215,8 @@
             iwmmxt_compiler.commands = $$QMAKE_CXX -c -Winline
             iwmmxt_compiler.commands += -mcpu=iwmmxt
-            iwmmxt_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
+            os2:iwmmxt_compiler.commands += @$(CXXFLAGS_RSP) @$(INCPATH_RSP) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+            else:iwmmxt_compiler.commands += $(CXXFLAGS) $(INCPATH) ${QMAKE_FILE_IN} -o ${QMAKE_FILE_OUT}
+
             iwmmxt_compiler.dependency_type = TYPE_C
             iwmmxt_compiler.output = ${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${first(QMAKE_EXT_OBJ)}